
Redmine - Defect #10744

rake task redmine:email:test broken

2012-04-23 19:16 - Trevor Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.4.2   

Resolution: Fixed Affected version: 1.3.3

Description

rake tast redmine:email:test is not working. It prints success but the email is never sent.

It seems the User.current is used instead of the fetched user object. (see patch)

Redmine version: 1.3.3

DB: mysql

Ruby: 1.8.7

Rails: 2.3.14

History

#1 - 2012-04-23 21:05 - Jean-Philippe Lang

- Target version set to 1.4.2

#2 - 2012-04-29 12:05 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Fixed committed in r9582, thanks.

#3 - 2012-05-01 18:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

redmine email rake patch.diff 442 Bytes 2012-04-23 Trevor Jones
